//----------------------------------------------------------------------------
//  Project AlphaBlending
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    AlphaBlending Application
//  FILE:         alphablendingapp.h
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TAlphaBlendingApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(alphablendingapp_h)              // Sentry, use file only if it's not already included.
#define alphablendingapp_h

#include <owl/opensave.h>


#include "alphablendingapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();

//{{TSDIDecFrameRSP_TBL_BEGIN}}
  protected:
    void EvActivate(uint active, bool minimized, THandle hWndOther );
//{{TSDIDecFrameRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TSDIDecFrame);
};    //{{TSDIDecFrame}}


//{{TApplication = TAlphaBlendingApp}}
class TAlphaBlendingApp : public TApplication {
  private:


  public:
    TAlphaBlendingApp();
    virtual ~TAlphaBlendingApp();

//{{TAlphaBlendingAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TAlphaBlendingAppVIRTUAL_END}}

//{{TAlphaBlendingAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
    void EvActivate(uint active, bool minimized, THandle hWndOther );
//{{TAlphaBlendingAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TAlphaBlendingApp);
};    //{{TAlphaBlendingApp}}


#endif  // alphablendingapp_h sentry.
